
Application: gvSIG desktop - gvSIG bugs #4745
No esta habilitado el boton de propiedades en el dialogo de imprimir.
11/22/2017 11:33 AM - Joaquín  del Cerro Murciano

Status: New % Done: 0%
Priority: Low Spent time: 0.00 hour
Assignee:
Category: Document layout
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Desde el "Mapa", si seleccionamos la opcion de "Mapa->Imprimir", en el dialogo de impresion que muestra no esta habilitado el boton
de "propiedades".

History
#1 - 11/22/2017 11:36 AM - Joaquín  del Cerro Murciano

El dialogo que se esta mostrando es de java. Se muestra usando "ServiceUI.printDialog", y lo que sucede es que no encuentra una factoria asociada
a servicio de la impresora, y entonces deshabilita el boton del interface grafico.

He obserbado que en otras aplicaciones como Freemind o JEdit, que tambien son aplicaciones java, les pasa lo mismo.
No se si puede ser un error de java

He encontrado alguna referencia a errores similares pero no se si iguales o de si aplican en nuestro caso.

    -  Printing: Properties button in Linux print dialog disabled
https://bugs.openjdk.java.net/browse/JDK-8116889

    -  CustomUI defined by the PrintService is not considered when it is not a JDialog
https://bugs.openjdk.java.net/browse/JDK-5081183

Pero estos tickets estan cerrados para version de java que estamos usando java 1.8_102.

Por si fuese un error corregido en versiones mas nuevas he probado con:

    -  java 1.8.0_152

    -  java 9.0.1+11 (me ha sorprendido, gvSIG ha arrancado, con versiones de la 9 anteriores no arrancaba).

Y el error persiste.

Tambien he probado con java 1.7.0.80 por si en java 1.8 se introdujese algo que requiera algun cambio en el codigo y tambien aparece el problema.

Tendria que probar con java 1.6. El paso de java 1.6 a 1.7 fue donde mas problemas tuvimos en gvSIG. Si va en java 1.6, habria que ver si se
introdujo algun cambio en el manejo de impresoras de la 1.7 que no hicimos.
#2 - 11/22/2017 11:36 AM - Joaquín  del Cerro Murciano
- Operative System set to Linux
- Target version set to 2.5.1-3044

#3 - 02/04/2019 06:52 PM - Álvaro Anguix
- Category set to Document layout

#4 - 03/26/2020 02:00 PM - Joaquín  del Cerro Murciano
- Priority changed from Normal to Low

#5 - 04/21/2020 09:22 AM - Álvaro Anguix
- Target version deleted (2.5.1-3044)
